> ## Documentation Index
> Fetch the complete documentation index at: https://docs.generect.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate an email address

> Validate email addresses for deliverability, including catch-all domains, using our proprietary system.

# Use Case:

Clean and verify email lists to improve campaign success rates and lower bounce rates.


## OpenAPI

````yaml post /api/linkedin/email_validator/
openapi: 3.0.3
info:
  title: Generect API
  description: >-
    Welcome to the Generect API documentation. Here we will help you integrate
    and use our API.


    API base url: `api.generect.com`  

    Protocol: `HTTPS`


    # Authentication


    Firstly, add a `API Token` to the enviroment variables `auth_token` in
    `Settings` tab.


    # Rate limits


    Credits: You can request data depending on your data plan and credit
    balance. The default is 10000/month. The estimated number of credits to
    spend is based on the complexity of the query and the number of results. The
    amount spent can be increased by additional data flags in the queries.


    # Note


    _Ensure that you are add a "/" to the end of url._
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.generect.com
security:
  - apiKey: []
tags:
  - name: 1. Auth
    description: Login and get user info
  - name: 2. Transactions
    description: List of latest transactions in your account
  - name: 3. Leads
    description: Fetch information about leads by _link/name/ICP_.
  - name: 4. Companies
    description: Fetch information about companies by link/name/ICP.
paths:
  /api/linkedin/email_validator/:
    post:
      summary: Validate an email address
      description: >-
        Validate email addresses for deliverability, including catch-all
        domains, using our proprietary system.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: array
              items:
                type: string
              example:
                - jkennedy@platformscience.com
      responses:
        '200':
          description: Successful email validation
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    result:
                      type: string
                    catch_all:
                      type: string
                    error:
                      type: string
                      nullable: true
                    source:
                      type: string
                    mx_domain:
                      type: string
                    exist:
                      type: string
                    email:
                      type: string
                    logs:
                      type: array
                      items:
                        type: string
              example:
                - result: valid
                  catch_all: true
                  error: null
                  source: name2email
                  mx_domain: pphosted.com
                  exist: 'yes'
                  email: jkennedy@platformscience.com
                  logs:
                    - get mx_record: pphosted.com
                    - check outlook,gmail,onedrive,o365,o365_get_creds
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization
      description: Use 'Token <api-key>' as the value

````